import { DatabaseResult, PartialDatabaseResult, PartialUserObjectResponse, UserObjectResponse } from './type-hacks.js';
/**
 * @returns `true` if `response` is a full `UserObjectResponse`.
 */
export declare function isFullUser(response: PartialUserObjectResponse | UserObjectResponse): response is UserObjectResponse;
/**
 * @returns `true` if `response` is a full `DatabaseResult`.
 */
export declare function isFullDatabaseObject(response: PartialDatabaseResult | DatabaseResult): response is DatabaseResult;
