import { QueryDatabaseResponse } from '@notionhq/client/build/src/api-endpoints.js';
export declare type PartialDatabaseResult = QueryDatabaseResponse['results'][number];
export declare type DatabaseResult = Extract<PartialDatabaseResult, {
    properties: any;
}>;
export declare type NotionPageProperties = DatabaseResult['properties'];
export declare type NotionPagePropertiesValues = NotionPageProperties[string];
export declare type NotionPropertyType = NotionPagePropertiesValues['type'];
export declare type PartialUserObjectResponse = Extract<NotionPagePropertiesValues, {
    type: 'people';
}>['people'][number];
export declare type UserObjectResponse = Extract<PartialUserObjectResponse, {
    type: 'person';
}>;
