"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFullDatabaseObject = exports.isFullUser = void 0;
/**
 * @returns `true` if `response` is a full `UserObjectResponse`.
 */
function isFullUser(response) {
    return 'type' in response;
}
exports.isFullUser = isFullUser;
/**
 * @returns `true` if `response` is a full `DatabaseResult`.
 */
function isFullDatabaseObject(response) {
    return 'properties' in response;
}
exports.isFullDatabaseObject = isFullDatabaseObject;
//# sourceMappingURL=guards.js.map